ข้ามไปยังเนื้อหา

Pixelcut Video Background Removal

ผสานการทำงาน

ID โมเดล pixelcut/video-background-removal
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixelcut/video-background-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.22 220 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
Pixelcut ลบพื้นหลัง #transform#utility#rembg

ลบพื้นหลังออกจากวิดีโอและส่งออกแบบโปร่งใสหรือบนสีพื้นทึบ รองรับหลายรูปแบบ

Pixelcut · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น video_url
วางไฟล์ หรือ

URL ที่ชี้ไปยังวิดีโออินพุต

ขั้นสูง background · output_format · background_color
background ค่าเริ่มต้น transparent

พื้นหลังของเอาต์พุต: 'transparent' ชื่อสีที่กำหนดไว้ล่วงหน้า หรือ 'custom' สำหรับสีที่เลือกด้วยตัวเลือก background_color

การกำหนดรูปแบบวิดีโอเอาต์พุต หากไม่เลือกอย่างชัดเจน ระบบจะตรวจหาโดยอัตโนมัติ โดยใช้ webm_vp9 เป็นค่าเริ่มต้นสำหรับความโปร่งใส

สีทึบสำหรับพื้นหลังแบบกำหนดเอง ใช้เฉพาะเมื่อการเลือกพื้นหลังเป็น 'custom'

POST /run/pixelcut/video-background-removal?wait=20 ใบเสนอราคา → $0.22
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixelcut/video-background-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Pixelcut Video Background Removal

ลบพื้นหลังออกจากวิดีโอที่ `video_url` ทีละเฟรม ตัวเลือก `background` รองรับ transparent, black, white, green, blue, magenta หรือกำหนดเองด้วย `background_color` `output_format` รองรับรูปแบบ webm, mp4, mov, mkv และ gif และมีค่าเริ่มต้นเป็น webm_vp9 เมื่อใช้พื้นหลังโปร่งใส

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
video_urlจำเป็น video
ประเภทurl · video
URL ที่ชี้ไปยังวิดีโออินพุต
backgroundไม่บังคับ
ประเภทenum
ค่าเริ่มต้นtransparent
transparentblackwhitegreenbluemagentacustom
พื้นหลังของเอาต์พุต: 'transparent' ชื่อสีที่กำหนดไว้ล่วงหน้า หรือ 'custom' สำหรับสีที่เลือกด้วยตัวเลือก background_color
background_colorไม่บังคับ
ประเภทobject
สีทึบสำหรับพื้นหลังแบบกำหนดเอง ใช้เฉพาะเมื่อการเลือกพื้นหลังเป็น 'custom'
background_color.rไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น0
0 – 255
background_color.gไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น0
0 – 255
background_color.bไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น0
0 – 255
output_formatไม่บังคับ
ประเภทenum
webm_vp9mp4_h264mp4_h265mov_proresksmov_h265mkv_h264mkv_h265mkv_vp9gif
การกำหนดรูปแบบวิดีโอเอาต์พุต หากไม่เลือกอย่างชัดเจน ระบบจะตรวจหาโดยอัตโนมัติ โดยใช้ webm_vp9 เป็นค่าเริ่มต้นสำหรับความโปร่งใส
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pixelcut/video-background-removal",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 220,
    "usd": "0.22",
    "charged": 220,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}ไฟล์วิดีโอที่โมเดลสร้าง

โมเดลเพิ่มเติม: ลบพื้นหลัง

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/pixelcut/video-background-removal.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt